RPMSIGN(1)

NUME
rpmsign - semnarea pachetelor RPM

SINOPSIS
rpmsign {--addsign|--resign} [opțiuni] [opțiuni-semnare] FIȘIER_PACHET ...

rpmsign --delsign [opțiuni] FIȘIER_PACHET ...

rpmsign --delfilesign [opțiuni] FIȘIER_PACHET ...

DESCRIERE
rpmsign este utilizat pentru a manipula semnăturile digitale OpenPGP din fișierele pachetului rpm.

Pentru a crea o semnătură, rpmsign trebuie să verifice suma de control a pachetului. Ca urmare, pachetele V4 cu o sumă de control MD5/SHA1 nu pot fi semnate în modul FIPS.

OPERAȚII
--addsign
    Generează și inserează o nouă semnătură OpenPGP pentru fiecare FIȘIER_PACHET dat, cu excepția cazului în care există deja o semnătură cu parametri identici, caz în care nu se întreprinde nicio acțiune. Se poate adăuga un număr arbitrar de semnături V6.

--resign
    Generează și inserează o nouă semnătură OpenPGP pentru fiecare FIȘIER_PACHET, înlocuind toate semnăturile anterioare.

--delsign
    Șterge toate semnăturile OpenPGP din fiecare pachet FIȘIER_PACHET dat.

--delfilesign
    Șterge toate semnăturile fișierelor IMA și fsverity din fiecare pachet FIȘIER_PACHET dat.

ARGUMENTE
FIȘIER_PACHET
    Un fișier pachet rpm.

OPȚIUNI
Consultați rpm-common(8) pentru opțiunile comune tuturor executabilelor rpm.

OPȚIUNI DE SEMNARE
--certpath CERTIFICAT
    Utilizată cu --signverity, utilizează certificatul de semnare a fișierelor CERTIFICAT.

--fskpath CHEIE
    Utilizată cu --signfiles, utilizează cheia de semnare a fișierului CHEIE.

--key-id ID_CHEIE
    Utilizează cheia ID_CHEIE pentru semnare. Înlocuiește configurația %_openpgp_sign_id.

--rpmv3
    Solicită adăugarea semnăturii RPM V3 pentru antet+ încărcătura-utilă pe pachetele V4. Aceste semnături sunt costisitoare și reprezintă o povară redundantă pentru pachetele care au o sumă de control separată a încărcăturii-utile (pachete construite cu rpm >= 4.14). Rpmsign va detecta automat necesitatea semnăturilor V3, dar această opțiune poate fi utilizată pentru a solicita crearea lor dacă pachetele trebuie să fie complet verificabile din punct de vedere al semnăturii cu rpm < 4.14 sau din alte motive de interoperabilitate.

    Nu are niciun efect la semnarea pachetelor V6.

--rpmv4
    Solicită adăugarea semnăturii antetului RPM V4 pe pachetele V6. Util pentru verificarea semnăturii pachetelor V6 cu versiunile rpm 4.x.

    Semnăturile compatibile cu V4 sunt adăugate numai dacă algoritmul de semnare este unul dintre cele cunoscute de V4: RSA, EcDSA, EdDSA (și DSA original). Într-un pachet poate fi prezentă o singură semnătură V4, astfel încât aceasta este adăugată numai la primul --addsign cu un algoritm compatibil cu V4 și ignorată în caz contrar.

    Nu are niciun efect la semnarea pachetelor V4.

--rpmv6
    Solicită adăugarea semnăturii antetului RPM V6 pe pachetele V4.

    În general, acest lucru reușește întotdeauna, deoarece pe un pachet poate exista un număr arbitrar de semnături V6. Semnăturile de compatibilitate V3/V4 sunt adăugate folosind aceeași logică ca --rpmv4 pe un pachet V6.

    Nu are niciun efect la semnarea pachetelor V6.

--signfiles
    Semnează fișierele pachetului. Cheia de semnare a fișierului (cheia privată RSA) trebuie să fie definită înainte de semnarea pachetului și poate fi configurată în linia de comandă cu --fskpath sau macrocomanda %_file_signing_key.

--signverity
    Semnează fișierele pachetului cu semnături fsverity. Cheia de semnare a fișierului (cheia privată RSA) și certificatul de semnare trebuie să fie definite înainte de semnarea pachetului. Cheia poate fi configurată în linia de comandă cu --fskpath sau macrocomanda %_file_signing_key, iar certificatul poate fi configurat în linia de comandă cu --certpath sau macrocomanda %_file_signing_cert.

--verityalgo ALGORITM
    Utilizată împreună cu --signverity, pentru a specifica algoritmul de semnare. Sunt acceptate sha256 și sha512, sha256 fiind implicit dacă acest argument nu este specificat. Acest lucru poate fi specificat și cu macrocomanda %_verity_algorithm.

CONFIGURARE
Pentru a semna pachete, trebuie să creați propria pereche de chei OpenPGP (cunoscută și sub numele de certificat) și să configurați rpm(8) pentru a o utiliza. Sunt disponibile următoarele macrocomenzi:

%_openpgp_sign_id
    Amprenta digitală sau ID-ul cheii de semnare care trebuie utilizată. De obicei, aceasta este singura configurație necesară. Dacă este omisă, --key-id trebuie specificată în mod explicit la semnare.

%_openpgp_sign
    Implementarea OpenPGP care va fi utilizată pentru semnare. Valorile acceptate sunt „gpg” pentru GnuPG (implicit și tradițional) și „sq” pentru Sequoia PGP.

Macrocomenzi specifice implementării:

%_gpg_path
    Locația cheii GnuPG, dacă nu este cea implicită $GNUPGHOME.

%_gpg_name
    Macrocomanda veche pentru configurarea ID-ului utilizatorului cu GnuPG. Utilizați în schimb %_openpgp_sign_id, care este independentă de implementare și neambiguă.

%_sq_path
    Locația configurației Sequoia, dacă nu este cea implicită.

EXEMPLE

  Exemplul 1. Configurare de bază
Configurează RPM pentru a semna pachetele cu Sequoia PGP și o cheie specifică, adăugând următorul conținut în fișierul utilizatorului rpm-config(5) (de obicei ~/.config/rpm/macros):

    %_openpgp_sign sq
    %_openpgp_sign_id 7B36C3EE0CCE86EDBC3EFF2685B274E29F798E08

  Exemplul 2. Operații de bază
rpmsign --addsign hello-2.0-1.x64_rpm
    Adaugă o semnătură la pachetul hello-2.0-1.x64_rpm.

rpmsign --resign --key-id 771b18d3d7baa28734333c424344591e1964c5fc hello-2.0-1.x64_rpm
    Înlocuiește toate semnăturile din pachetul hello-2.0-1.x64_rpm cu o semnătură care utilizează cheia 771b18d3d7baa28734333c424344591e1964c5fc.

rpmsign --delsign --delfilesign hello-2.0-1.x64_rpm
    Șterge toate semnăturile din pachetul hello-2.0-1.x64_rpm.

STARE DE IEȘIRE
În caz de succes, se returnează 0, iar în caz contrar se returnează un cod de eșec diferit de zero.

CONSULTAȚI ȘI
popt(3), rpm(8), rpm-common(8), rpmkeys(8), rpmbuild(1)

rpmkeys --help - deoarece rpm(8) acceptă personalizarea opțiunilor prin intermediul numelor alias de „popt”, este imposibil să se garanteze că ceea ce este descris în manual corespunde cu ceea ce este disponibil.

http://www.rpm.org/

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.